/*
 * This file is part of the StrangeSearch project
 * Copyright 2001 Dan Dunham and Jeremy Davis
 *
 * It is distributed under the GNU Public Licence (GPL) version 2.  
 * See http://www.gnu.org/copyleft/gpl.html for further details 
 * of the GPL.
 */

//
// SsApScPinger.h
//

#ifndef _INC_SS_AP_SC_PINGER
#define _INC_SS_AP_SC_PINGER

#include "SsBaCommon.h"
#include "apps/SsApBase.h"

class SsApScPinger : public SsApBase
{
	protected:
		
	public:
		virtual void vBeginExecution();

		friend STRANGEAPPTHREAD(StrangeAppThread_Pinger);
};

//--------------------------------------------------------------------------------------------------
// $Footer: strangeapp_pinger.h $
//
//--------------------------------------------------------------------------------------------------
#endif // __STRANGEAPP_PINGER_H__

