/*
 * This file is part of the StrangeSearch project
 * Copyright 2001 Dan Dunham and Jeremy Davis
 *
 * It is distributed under the GNU Public Licence (GPL) version 2.  
 * See http://www.gnu.org/copyleft/gpl.html for further details 
 * of the GPL.
 */
#ifndef __SSBAMEMMAP_H__
#define __SSBAMEMMAP_H__

#include "SsBaCommon.h"

class MemoryMap
{
public:
	MemoryMap();
	~MemoryMap();

	Tboolean OpenMap(Tchar *MapName, Tboolean ReadOnly);
	Tboolean InitFromFile(Tchar *Filename, Tchar *MapName);

	void FlushFile();
	void Release();
	void *GetPointer();
	Tuint GetFileSize();

private:
	HANDLE m_FileHandle;
	HANDLE m_MapHandle;
	void *m_MemoryBase;
};

#endif