/*
 * This file is part of the StrangeSearch project
 * Copyright 2001 Dan Dunham and Jeremy Davis
 *
 * It is distributed under the GNU Public Licence (GPL) version 2.  
 * See http://www.gnu.org/copyleft/gpl.html for further details 
 * of the GPL.
 */

//
// SsApIndexer_fto.h
//

#ifndef _INC_SS_AP_INDEXER_FTP
#define _INC_SS_AP_INDEXER_FTP

#include "SsBaCommon.h"
#include "apps/SsApIndexer.h"

#include <winsock.h>

void vFtpPrintf(char* text, ...);
void vFtpPrintfln(char* text, ...);

extern struct sockaddr saDestAddr;     
extern struct sockaddr_in saSockAddr;         // endpoint address
extern struct sockaddr_in saSockAddr1;        // used when bSendPort==0
extern struct sockaddr_in saCtrlAddr;

extern SOCKET ctrl_socket;
extern SOCKET data_socket;
extern SOCKET listen_socket;
extern int		 iCode, iMultiLine;
extern int		 uiFtpPort;

Tboolean bIndexFtpSite(SsApIndexer *poApp, char *szFilename, char *szUsername, char *szPassword, char *szHostname, int nPort);

#endif


