/*
 * This file is part of the StrangeSearch project
 * Copyright 2001 Dan Dunham and Jeremy Davis
 *
 * It is distributed under the GNU Public Licence (GPL) version 2.  
 * See http://www.gnu.org/copyleft/gpl.html for further details 
 * of the GPL.
 */

#ifndef SS_AP_INDEXER_FTP_IP_H
#define SS_AP_INDEXER_FTP_IP_H

#include <winsock.h>

#define FTP_PRELIM   1
#define FTP_COMPLETE 2
#define FTP_CONTINUE 3
#define FTP_RETRY    4
#define FTP_ERROR    5


SOCKET connectTCP(char *host,char *service);
SOCKET connectUDP(char *host,char *service);
SOCKET connectsock(char *host,char *service,char *protocol);
int sendstr(SOCKET sSocket,LPSTR pBuf,int nBytesToWrite);


#endif