/*
 * This file is part of the StrangeSearch project
 * Copyright 2001 Dan Dunham and Jeremy Davis
 *
 * It is distributed under the GNU Public Licence (GPL) version 2.  
 * See http://www.gnu.org/copyleft/gpl.html for further details 
 * of the GPL.
 */
#include <stdio.h>
#include <process.h>
#include <windows.h>

void SafeCgiExit(int code)
{
	printf("Content-type: text/html\n\n");

printf("	<html>\n");
printf("		\n");
printf("		<head>\n");
printf("		<title>Searching is temporarily disabled</title>\n");
printf("		</head>\n");
printf("		\n");
printf("		<body text=\"#FFFFFF\" bgcolor=\"#000000\">\n");
printf("		\n");
printf("		<p align=\"center\"><b><font face=\"Verdana\" size=\"4\" color=\"#FFD87D\">Searching");
printf("		is temporarily disabled</font></b></p>\n");
printf("		<p align=\"center\"><font face=\"Verdana\" size=\"2\">The search databases are \n");
printf("		temporarily offline and will return shortly. <br>\n");
printf("		Please retry your search in a few minutes.</font></p>\n");
printf("		<p align=\"right\"><font face =\"Verdana\" size=\"1\" color=\"#808080\"><B>Code = 0x%X</B></font>", code);
printf("		\n");
printf("		</body>\n");
printf("		\n");
printf("		</html>\n");
	exit(-1);
}

void SafeCgiPrintError(char *error, char *orig_arg)
{
	printf("Content-type: text/html\n\n");

	printf("	<html>\n");
	printf("		\n");
	printf("		<head>\n");
	printf("		<title>Search Error</title>\n");
	printf("		</head>\n");
	printf("		\n");
	printf("		<body text=\"#FFFFFF\" bgcolor=\"#000000\">\n");
	printf("		\n");
	printf("		<p align=\"center\"><b><font face=\"Verdana\" size=\"4\" color=\"#FFD87D\">Search \n");
	printf("		Error</font></b></p>\n");
	printf("		<p align=\"center\"><font face=\"Verdana\" size=\"2\">\n");
	printf("		An error occured while processing your search.<p>Error: <strong>%s</strong></font></p>\n", error);
	printf("		\n");
	printf("		</body>\n");
	printf("		\n");
	printf("		</html>\n");

  char szTmpFile[256];
	GetTempFileName(".","ERR",0,szTmpFile);
  FILE *pfTmpFile = fopen(szTmpFile, "wb");
  if(pfTmpFile)
  {
    fprintf(pfTmpFile,"SS35 Error: %s\n", orig_arg);
    fclose(pfTmpFile);
  }

	exit(-1);
}