/*
 * This file is part of the StrangeSearch project
 * Copyright 2001 Dan Dunham and Jeremy Davis
 *
 * It is distributed under the GNU Public Licence (GPL) version 2.  
 * See http://www.gnu.org/copyleft/gpl.html for further details 
 * of the GPL.
 */
//
//  SsUiWndConsole.h
//

#ifndef _INC_SS_UI_WND_CONSOLE
#define _INC_SS_UI_WND_CONSOLE

#include "../SsBaCommon.h"

class SsUiWndConsole : public CFrameWnd
{
	DECLARE_DYNCREATE(SsUiWndConsole);

public:
	//void AddMsg(CString &strMsg, COLORREF &crNewColor, BOOL bUnderLine, BOOL bBold);

	SsUiWndConsole();
	virtual ~SsUiWndConsole();

protected:
	CRichEditCtrl	m_Display;
	Tuint32 m_nCharCount;

	void vAddText(Tchar *szString, COLORREF cr);
	void vAddString(Tchar *szString);
	void vResetConsole();
	afx_msg void OnSize( UINT nType, int cx, int cy );
	BOOL		OnCreateClient( LPCREATESTRUCT lpcs, CCreateContext* pContext );
  virtual BOOL OnWndMsg(UINT message, WPARAM wParam, LPARAM lParam, LRESULT* pResult);

	DECLARE_MESSAGE_MAP();
};

#endif
