/*
 * This file is part of the StrangeSearch project
 * Copyright 2001 Dan Dunham and Jeremy Davis
 *
 * It is distributed under the GNU Public Licence (GPL) version 2.  
 * See http://www.gnu.org/copyleft/gpl.html for further details 
 * of the GPL.
 */

#ifndef _INC_SS_UI_WND_MACHINES
#define _INC_SS_UI_WND_MACHINES

#include "../SsBaCommon.h"

class SsUiWndMachines : public CFrameWnd
{
	DECLARE_DYNCREATE(SsUiWndMachines);

public:
	void vPreActivate();

protected:
	CListCtrl m_oMachines;

	virtual BOOL OnCreateClient( LPCREATESTRUCT lpcs, CCreateContext* pContext);
	afx_msg void OnSize(UINT nType, int cx, int cy);
	afx_msg void OnKeyDown(NMHDR * pNotifyStruct, LRESULT * result);

	DECLARE_MESSAGE_MAP();
};

#endif
