/*
 * This file is part of the StrangeSearch project
 * Copyright 2001 Dan Dunham and Jeremy Davis
 *
 * It is distributed under the GNU Public Licence (GPL) version 2.  
 * See http://www.gnu.org/copyleft/gpl.html for further details 
 * of the GPL.
 */
//
//  SsUiWndTree.h
//

#ifndef _INC_SS_UI_WND_TREE
#define _INC_SS_UI_WND_TREE

#include "../SsBaCommon.h"

class SsUiWndTree : public CFrameWnd
{
	DECLARE_DYNCREATE(SsUiWndTree);

public:

protected:
	CTreeCtrl			m_Tree;

	virtual BOOL OnCreateClient( LPCREATESTRUCT lpcs, CCreateContext* pContext);
	afx_msg void OnSize(UINT nType, int cx, int cy);
	afx_msg void OnNewTreeSelection(NMHDR * pNotifyStruct, LRESULT * result);

	DECLARE_MESSAGE_MAP();
};

#endif
